## libsignoncrypto-qt 1.3-1maemo0

=== debian/changelog ===
libsignoncrypto-qt (1.3-1maemo0) unstable; urgency=low
  * Initial port for Fremantle
 -- Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>  Mon, 24 Sep 2012 17:37:40 +0200

libsignoncrypto-qt (1.3-1) unstable; urgency=low

  * Fixes: NB#293909 - Regression : It is impossible to use google apps(mail) for business

 -- Alexander Akimov <ext-alexander.akimov@nokia.com>  Sun, 11 Dec 2011 07:27:14 +0300

libsignoncrypto-qt (1.2-1) unstable; urgency=low

  * Addresses: NB#284716 - Unneeded password is asked in add-account screen (real-one is asked later in web)  

 -- Alexander Akimov <ext-alexander.akimov@nokia.com>  Sun, 11 Dec 2011 07:27:14 +0300
 

libsignoncrypto-qt (1.1-1) unstable; urgency=low

  * Fixes: NB#294277 - libsignoncrypto-qt fails to encrypt/decrypt data if it is smaller than 16 bytes  

 -- Alexander Akimov <ext-alexander.akimov@nokia.com>  Fri, 09 Dec 2011 10:27:14 +0300

libsignoncrypto-qt (1.0-3) unstable; urgency=low

  * Addresses: NB#285824 - telepathy-sasl-signon shows heap leak when continously switching chat account availability between online and offline mode  

 -- Alexander Akimov <ext-alexander.akimov@nokia.com>  Fri, 02 Dec 2011 10:27:14 +0300

libsignoncrypto-qt (1.0-2) unstable; urgency=low

  * Fixes: NB#293212 - libsignon-glib leaks memory, which lead to growth of telepathy-sasl-signon heap 

 -- Alexander Akimov <ext-alexander.akimov@nokia.com>  Fri, 02 Dec 2011 10:27:14 +0300

libsignoncrypto-qt (1.0-1) unstable; urgency=low

  * UNRELEASED

 -- Tomi Suviola <tomi.suviola@nokia.com>  Tue, 26 Jul 2011 15:27:14 +0300

libsignoncrypto-qt (0.12-3) unstable; urgency=low

  * Fixes: NB#252958 - Missing conversion of nested maps causes some accounts
    not to go online.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 13 May 2011 11:27:14 +0300

libsignoncrypto-qt (0.12-2) unstable; urgency=low

  * Ship encryptor-glib.h in the -dev package.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 04 May 2011 16:18:13 +0300

libsignoncrypto-qt (0.12-1) unstable; urgency=low

  * Provide C API for encrypting GHashTables of GValues (this functionality
    will be used by libsignon-glib).
  * Fixes: MB#12444 - Use of uninitialized pointer in libsignoncrypto-qt.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 04 May 2011 09:01:50 +0300

libsignoncrypto-qt (0.11) unstable; urgency=low

  * Do not pollute header files with debugging macros.
    Fixes: NB#237756 - signond prints loads of useless information to syslog

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Sat, 30 Apr 2011 14:16:14 +0300

libsignoncrypto-qt (0.10) unstable; urgency=low

  * Fixes: NB#235338 - libsignoncrypto-qt-dev has incorrect scope in the api file

 -- Abhijit Bera <abhijit.bera@nokia.com>  Tue, 29 Mar 2011 13:28:18 +0530

libsignoncrypto-qt (0.9) unstable; urgency=low

  * Fixes: NB#235388 - Copyright tag not defined in libsignoncrypto-qt

 -- Abhijit Bera <abhijit.bera@nokia.com>  Mon, 28 Mar 2011 18:20:33 +0530

libsignoncrypto-qt (0.8) unstable; urgency=low

  * Fixes: NB#233839 - libsignoncrypto-qt cita tests fail

 -- Aurel Popirtac <rel.popirtac@nokia.com>  Fri, 18 Mar 2011 15:39:40 +0530

libsignoncrypto-qt (0.7) unstable; urgency=low

  * Updated build dependencies.

 -- Aurel Popirtac <ext-aurel.popirtac@nokia.com>  Mon, 08 Nov 2010 16:33:54 +0200

libsignoncrypto-qt (0.6) unstable; urgency=low

  * Version update.

 -- Aurel Popirtac <ext-aurel.popirtac@nokia.com>  Mon, 08 Nov 2010 14:53:54 +0200

libsignoncrypto-qt (0.5-1) unstable; urgency=low

  * Version update.

 -- Aurel Popirtac <ext-aurel.popirtac@nokia.com>  Mon, 08 Nov 2010 14:40:54 +0200

libsignoncrypto-qt (0.4-1) unstable; urgency=low

  * Fix the -dev package.
  * Adapt to changes in the upstream test directory (split the tests binaries
    in the debian/rules).

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 03 Nov 2010 15:46:54 +0200

libsignoncrypto-qt (0.3-1) unstable; urgency=low

  * Changes in upstream packaging (not depending on aegis-crypto).

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 03 Nov 2010 12:30:10 +0200

libsignoncrypto-qt (0.2) unstable; urgency=low

  * making encryptor non-singleton.

 -- Alexander Akimov <ext-alexander.akimov@nokia.com>  Thu, 28 Sep 2010 16:26:21 +0300

libsignoncrypto-qt (0.1) unstable; urgency=low

  * Initial release.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 26 Sep 2010 16:26:21 +0300
