=== debian/control ===
Source: libsignoncrypto-qt
Section: comm
Priority: optional
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Alberto Mardegan <alberto.mardegan@nokia.com>
Build-Depends: debhelper(>=5),
               libqt4-dev (>= 4.6),
               libaegis-crypto-dev (>= 0.2.4),
               libdbus-glib-1-dev,
               libglib2.0-dev,
               aegis-builder (>= 1.4),
               doxygen, maemo-optify
Standards-Version: 3.7.2

Package: libsignoncrypto-qt
Architecture: any
Section: libs
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DBus messages encryption for signon-qt
 Library for encoding/decoding of DBus messaging in signon-qt.

Package: libsignoncrypto-qt-dbg
Architecture: any
Section: devel
Priority: optional
Depends: libsignoncrypto-qt (= ${binary:Version})
Description: Debug symbols for libsignoncrypto-qt
 Debug symbols for libsignoncrypto-qt.

Package: libsignoncrypto-qt-dev
Architecture: any
Section: devel
Priority: optional
Depends: pkg-config (>= 0.22), libsignoncrypto-qt (= ${binary:Version}), libaegis-crypto-dev, libqt4-dev (>= 4.5)
Replaces: libsignoncrypto-qt-dev
Description: libsignoncrypto-qt development headers
 Development package for libsignoncrypto-qt-dev.

Package: libsignoncrypto-qt-tests
Architecture: any
Depends: ${shlibs:Depends}, ci-testing, libsignoncrypto-qt
XB-Maemo-CI-Packages: libsignoncrypto-qt
XB-Maemo-CI-Stage: staging
Description: Tests for libsignoncrypto-qt
 Tests for libsignoncrypto-qt.
