## libsignoncrypto-qt 1.3-1maemo1

=== debian/changelog ===
libsignoncrypto-qt (1.3-1maemo1) unstable; urgency=low
  * Fixed dependency on pkg-config
 -- Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>  Mon, 24 Sep 2012 18:12:42 +0200
