=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 Architecture: any
 Section: devel
 Priority: optional
-Depends: pkg-config (>= 0.22), libsignoncrypto-qt (= ${binary:Version}), libaegis-crypto-dev, libqt4-dev (>= 4.5)
+Depends: pkg-config (>= 0.21), libsignoncrypto-qt (= ${binary:Version}), libaegis-crypto-dev, libqt4-dev (>= 4.5)
 Replaces: libsignoncrypto-qt-dev
 Description: libsignoncrypto-qt development headers
  Development package for libsignoncrypto-qt-dev.
