## libsignoncrypto-qt 1.3-1maemo2

=== debian/changelog ===
libsignoncrypto-qt (1.3-1maemo2) unstable; urgency=low
  * Removed aegis-crypto stuff
 -- Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>  Fri, 30 Nov 2012 17:56:44 +0100
