=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 XSBC-Original-Maintainer: Alberto Mardegan <alberto.mardegan@nokia.com>
 Build-Depends: debhelper(>=5),
                libqt4-dev (>= 4.6),
-               libaegis-crypto-dev (>= 0.2.4),
                libdbus-glib-1-dev,
                libglib2.0-dev,
                aegis-builder (>= 1.4),
                doxygen, maemo-optify
+Build-Conflicts: libaegis-crypto-dev
 Standards-Version: 3.7.2
 
 Package: libsignoncrypto-qt
