## libsignoncrypto-qt 1.3-1maemo3

=== debian/changelog ===
libsignoncrypto-qt (1.3-1maemo3) unstable; urgency=low
  * Removed libaegis-crypto-dev from deps of the devel package
 -- Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>  Sun,  9 Dec 2012 12:22:51 +0100
